iptotal (0.3.3-15) unstable; urgency=medium

  * QA upload.
  * debian/rules: Set DATECMD from dh_auto_install. (Closes: #983126)

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 19 Feb 2021 11:46:33 -0800

iptotal (0.3.3-14) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Add Pre-Depends: ${misc:Pre-Depends} to fix lintian flag.
      - Add missing lsb-base dependency
      - Bumped Standards-Version to 4.5.1.
      - Drop obsolete Dm-Upload-Allowed field
      - Set section and priority fields matching override.
   * debian/copyright: Update header to suit DEP5
   * debian/postinst: Remove recursive chown -R argument in postinst script
     (which is vulnerable to hardlink attacks).
   * debian/rules:
       - Put helper binaries in /usr/libexec as allowed by FHS 3.0.
       - Enable hardening all.
   * debian/README.Debian: Fix spelling error.
   * debian/watch: Update version from 3 to 4.

 -- Joao Paulo Lima de Oliveira <jlima.oliveira11@gmail.com>  Thu, 04 Feb 2021 09:04:28 -0400

iptotal (0.3.3-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upgrade apache2 settings for version 2.4 (Closes: #669856)
    - Now using dh-apache2.
    - Enabling cgi during configuration.
    - Refreshed apache configuration syntax.
    - Added maintscript to move conffile to /etc/apache2/conf-available.
    - Refreshed README.debian.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 29 May 2016 14:43:41 +0200

iptotal (0.3.3-13) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.2.
    - Added the "DM-Upload-Allowed" field.
  * debian/patches:
    - 08_datalink_offset.diff: fixes iptotal not reporting traffic on PPP
      insterfaces. (Closes: #230649)
  * debian/init:
    - Added the Description LSB section.
    - Added the status option.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 16 Feb 2012 08:49:19 +0400

iptotal (0.3.3-12) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.8.4.
    - Added dependency on ${misc:Depends}.
    - Set dependency on debhelper to (>= 7.0.50~) in order to use dh7 features.
    - Set dependency on autotools-dev to (>=20100122.1) to enable the use of
      the dh7 addons.
    - Removed dependency on quilt (as source format is now "3.0 (quilt)")
  * debian/rules:
    - Updated the rules file to use the dh7 features.
  * debian/postinst:
    - Removed the reload of apache2, as iptotal depends on httpd and not
      apache2. (Closes: #572246)
  * debian/postrm:
    - Removed the reload of apache2.
  * debian/links:
    - Removed the linking of /etc/apache2/conf.d/iptotal.
  * debian/patches:
    - 07_cgi_filename.diff: fixes incorrect filenames for graph images.
      (Closes: #574121)
  * debian/README.debian:
    - Explains the different directory changes that occurred over the last
      releases of iptotal.
    - Shows how to configure iptotal with apache2.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 31 Mar 2010 00:57:48 +0200

iptotal (0.3.3-11) unstable; urgency=low

  * debian/rules:
    - Updated --data-dir from /usr/lib to /var/lib (Closes: #557972)
  * debian/dirs, debian/install, debian/links, debian/apache.conf:
    - Replaced usr/lib by var/lib.
  * debian/postinst:
    - Replaced /usr/lib by /var/lib.
    - As installation path has changed in this release, added a temporary
      copying of old files to the new working directory, and deletion of
      files from old directories, to prevent data history loss.
  * Removed debian/lintian-overrides file as it isn't needed anymore.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 25 Nov 2009 18:03:58 +0100

iptotal (0.3.3-10) unstable; urgency=low

  * Converted to "3.0 (quilt)" format.
  * debian/rules:
    - Removed the include of dpatch.make.
    - Removed dh_testroot from the clean section.
  * debian/patches:
    - Converted all patches from dpatch(1) to quilt(1) format.
    - 06_FTBFS_kFreeBSD.diff: Fixes the FTBFS on GNU/kFreeBSD. Thanks to
      Cyril Brulebois <kibi@debian.org> for providing the patch.
      (Closes: #557165)
  * debian/control:
    - Removed dependecy on dpatch.
    - Added a dependency on quilt.
  * debian/source/format:
    - New file set to "3.0 (quilt)".

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 20 Nov 2009 15:09:43 +0100

iptotal (0.3.3-9) unstable; urgency=low

  * New maintainer. (Closes: #473843)
  * debian/rules:
    - Moved the copying of /usr/share/misc/config.{sub,guess} from the clean
      section to the configure section. And added functions to backup/restore
      the config{sud,guess} files provided by upstream.
    - Changed the data directory from /var/www/iptotal to
      /usr/lib/iptotal/ (user content) and /usr/share/iptotal/www (static).
      (Closes: #553536)
    - Moved configuration file from /etc/ to /etc/iptotal/ directory.
    - Added dh_lintian in the binary-arch section to install the override file.
  * debian/control:
    - Added build dependency on autotools-dev.
  * debian/patches:
    - Added 05_fix_old_fixes.dpatch: Includes all changes made by original
      maintainer outside the debian/ directory.
    - Updated the 00list placing 05_fix_old_fixes.dpatch before
      04_fix_kbytes_sufixes.dpatch.
  * debian/init:
    - Renamed debian/init.d to debian/init.
    - Added a short description.
    - Forced deletion of the pid file as daemon does not take care of this.
    - Added support for /etc/default/iptotal
    - Added force-start option, to start the daemon, ignoring the content of
      the /etc/default/iptotal file.
  * debian/postinst:
    - Reloads apache2 configuration.
    - As installation path has changed in this release, added a temporary
      copying of old files to the new working directory, to prevent data
      history loss.
  * debian/copyright:
    - Updated copyright file format.
  * Added apache configuration file (i.e. debian/apache.conf).
  * Added debian/dirs to create both cgi and working directories.
  * Added debian/links to link the static content to the working directory
    (i.e. /usr/lib/iptotal).
  * Added debian/install file in order to clean up the debian/rules file.
  * Added debian/postrm file to reload apache2 configuration after purging
    or removing the iptotal package.
  * Added debian/default file, in order to easily disable iptotald.
    (Closes: #317260)
  * Moved iptotal.8 man page to the debian/ directory as it isn't provided
    by upstream.
  * Added a lintian override of package-contains-empty-directory, as the
    /usr/lib/iptotal/archive/ directory is intentionally created empty during
    the initial installation.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 15 Nov 2009 21:11:05 +0100

iptotal (0.3.3-8) unstable; urgency=medium

  * QA upload.
  * Added patch system (dpatch)
  * debian/patches: 01_fix_ownership.dpatch
  * debian/patches: 02_fix_for_arm_systems.dpatch (Closes: #459128)
  * debian/patches: 03_manpage_fixes.dpatch (Closes: #379785)
  * debian/patches: 03_fix_kbytes_sufixes.dpatch (Closes: #362480)
  * debian/postinst: Fix ownership (Closes: #515951)
  * debian/control: Compat version updated to >=7
  * Standards-Version: Updated to 3.8.3
     - debian/README.source file
  * debian/control: Homepage field added
  * debian/watch: Added

 -- Dario Minnucci (midget) <debian@midworld.net>  Tue, 25 Aug 2009 03:33:37 +0200

iptotal (0.3.3-7) unstable; urgency=low

  * QA upload.
  * Changed maintainer to Debian QA Group
  * Cleaned up debian/rules
  * Removed empty maintainer scripts
  * Updated standards version
  * Changed dependency apache to apache2

 -- Peter Eisentraut <petere@debian.org>  Mon, 16 Jun 2008 23:59:31 +0200

iptotal (0.3.3-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468185)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 00:23:08 +0200

iptotal (0.3.3-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to using invoke-rc.d in maintainer scripts (Closes: #367731).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 30 Sep 2007 12:42:31 +0200

iptotal (0.3.3-6) unstable; urgency=low

  * Correct image paths in template.html (Closes: #259047)

 -- Millis Miller <millis@faztek.org>  Wed, 18 Aug 2004 21:54:26 +0100

iptotal (0.3.3-5) unstable; urgency=medium

  * Remove dh_installinit helper files and make scripts manually (Closes: #248988)

 -- Millis Miller <millis@faztek.org>  Sat, 26 Jun 2004 01:07:42 +0100

iptotal (0.3.3-4) unstable; urgency=medium

  * Added content to NEWS file (to remove lintian warning)
  * Moved iptotal manpage to section 8 (lintian warning) plus other
  *  minor manpage corrections

 -- Millis Miller <millis@faztek.org>  Wed, 16 Jun 2004 00:08:03 +0100

iptotal (0.3.3-3) unstable; urgency=medium

  * Don't fail stop if daemon not running (Closes: #248988)

 -- Millis Miller <millis@faztek.org>  Fri,  11 Jun 2004 09:22:12 +0100

iptotal (0.3.3-2) unstable; urgency=low

  * Remove surplus .gif files in /var/www/iptotal (Closes: #236158)
  * Also alter template.html use of paths for cgis (as suggested in #236158)
  * Remove use of prerm file (Closes: #234742)

 -- Millis Miller <millis@faztek.org>  Sun,  2 May 2004 01:21:11 +0100

iptotal (0.3.3-1) unstable; urgency=low

  * New upstream release
  * Made priority extra to correct debcheck error
  * Added non-virtual depend of 'apache' to remove lintian error
  * Removed conffiles (not needed)
  * Added 'iptotal' to cgi.in files for images directory (Closes: #231055)
  * Remove images/*.png as derived files (Closes: #231295)
  * Start/stop deamon on install/remove (Closes: #231398)

 -- Millis Miller <millis@faztek.org>  Sat, 14 Feb 2004 00:16:07 +0000

iptotal (0.3.2-5) unstable; urgency=low

  * Fixed the daemon to go into background

 -- Millis Miller <millis@faztek.org>  Wed, 28 Jan 2004 00:20:50 +0000

iptotal (0.3.2-4) unstable; urgency=low

  * First correct version uploaded to Debian (Closes: #217563)
  * Place files in /usr/lib/cgi-bin directory (not /var/www)
  * Change depend to be on virtual package 'httpd'
  * Add /etc/iptotal.cfg to conffiles
  * Correct path specifiers in *.cgi and iptotal.cfg files
  * Correctly create subdirectories archive/ and images/
  * Correct homepage link
  * Separate cgi and html files

 -- Millis Miller <millis@faztek.org>  Tue, 27 Jan 2004 13:52:07 +0000

iptotal (0.3.2-3) unstable; urgency=low

  * Fixed a missing depend for shared libs (${shlibs:Depends})
  * Uploaded for Millis by Jaldhar H. Vyas <jaldhar@debian.org>

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 24 Jan 2004 22:34:52 -0500

iptotal (0.3.2-1) unstable; urgency=low

  * New upstream version.
  * Some fixes to the Makefiles to install files into /var/www/iptotal
  * Uploaded for Millis by Jaldhar H. Vyas <jaldhar@debian.org>

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 12 Jan 2004 18:15:30 -0500

iptotal (0.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Millis Miller <millis@faztek.org>  Tue, 11 Nov 2003 00:26:53 +0000
